Neighborhoods API Reference

Neighborhoods API Reference

This section provides the foundation API reference on how to request Neighborhood Data. The Neighborhood API provides a flexible and on-demand access to UMI’s spatially-aware database of neighborhoods.

The API provides three types of search methods:

Given a set of search results via the search methods, additional detail about individual neighborhoods is available:

Common Structure

An API call is structured as follows:

http://api0.urbanmapping.com/neighborhoods/rest/{method_name}?{method parameters}&apikey={API key}

For example:

http://api0.urbanmapping.com/neighborhoods/rest/getNeighborhoodsByLatLng?lat=37.76&lng=-122.46&apikey=ABCDEFG

You must use your own API key. If you have not already registered and signed up for a key - please follow the instructions here: API Key Sign up

The REST API supports HTTP-GET queries. All methods accept the following request parameters:

Universal Input Parameters (* = required):

apikey (String) * Developer API Key

format (json or xml) The desired response format; defaults to json

Basic Methods

the following Neighborhood methods are included in the Basic API:

  • getNeighborhoodsByLatLng
  • getNearestNeighborhood
  • getNeighborhoodsByName

Premium Methods

the following Neighborhood methods are included in the Premium API:

  • getNeighborhoodsByExtent
  • getNeighborhoodsByAddress
  • getNeighborhoodsByCityStateCountry
  • getNeighborhoodsByPostalCode
  • getNeighborhoodDetail
  • getNeighborhoodRelationships